%define upstream_name    MooseX-Types-CreditCard
%define upstream_version 0.002003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Moose Types related to Credit Cards
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Business::CreditCard)
BuildRequires: perl(Class::Load) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Common::String) >= 0.1.5
BuildRequires: perl(MooseX::Types::DateTime)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides types related to Credit Cards for weak validation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.3-8.mga8
+ Revision: 1495683
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.2.3-7.mga7
+ Revision: 1269627
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.3-6.mga6
+ Revision: 1030697
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.2.3-5.mga6
+ Revision: 948604
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.2.3-4.mga5
+ Revision: 788210
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-3.mga5
+ Revision: 747492
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-2.mga5
+ Revision: 685579
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 sander85 <sander85> 0.2.3-1.mga5
+ Revision: 633042
- update to 0.002003

* Sat Feb 08 2014 sander85 <sander85> 0.2.2-1.mga5
+ Revision: 586224
- update to 0.002002

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-3.mga4
+ Revision: 513242
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 370319
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.2.0-1.mga3
+ Revision: 306184
- update to 0.002000

* Wed Oct 10 2012 jquelin <jquelin> 0.1.6-1.mga3
+ Revision: 304105
- imported package perl-MooseX-Types-CreditCard


* Wed Oct 10 2012 cpan2dist 0.001006-1mga
- initial mageia release, generated with cpan2dist
